Cantera 2.6.0

Public Member Functions | Public Attributes | Protected Attributes | List of all members
PlogData Struct Reference

Data container holding shared data specific to PlogRate. More...

`#include <PlogRate.h>`

Inheritance diagram for PlogData:
[legend]
Collaboration diagram for PlogData:
[legend]

## Public Member Functions
virtual void | update (double T) override
| Update data container based on temperature T More...
virtual void | update (double T, double P) override
| Update data container based on temperature T and an extra parameter. More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin) override
| Update data container based on thermodynamic phase state. More...
void | perturbPressure (double deltaP)
| Perturb pressure of data container. More...
virtual void | restore () override
| Restore data container after a perturbation. More...
virtual void | invalidateCache () override
| Force shared data and reaction rates to be updated next time. More...
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
Public Member Functions inherited from ReactionData
virtual void | update (double T)
| Update data container based on temperature T More...
virtual void | update (double T, double extra)
| Update data container based on temperature T and an extra parameter. More...
virtual void | update (double T, const vector_fp &extra)
| Update data container based on temperature T and a vector parameter extra More...
virtual bool | update (const ThermoPhase &phase, const Kinetics &kin)=0
| Update data container based on thermodynamic phase state. More...
void | perturbTemperature (double deltaT)
| Perturb temperature of data container. More...
virtual void | restore ()
| Restore data container after a perturbation. More...
virtual void | resize (size_t nSpecies, size_t nReactions, size_t nPhases)
| Update number of species, reactions and phases. More...
virtual void | invalidateCache ()
| Force shared data and reaction rates to be updated next time. More...

## Public Attributes
double | pressure
| pressure More...
double | logP
| logarithm of pressure More...
Public Attributes inherited from ReactionData
double | temperature
| temperature More...
double | logT
| logarithm of temperature More...
double | recipT
| inverse of temperature More...

## Protected Attributes
double | m_pressure_buf
| buffered pressure More...
Protected Attributes inherited from ReactionData
double | m_temperature_buf
| buffered temperature More...

## Detailed Description

Data container holding shared data specific to PlogRate.

The data container `PlogData` holds precalculated data common to all `PlogRate` objects.

Definition at line 21 of file PlogRate.h.

## Constructor & Destructor Documentation

## ◆ PlogData()

PlogData | ( |  | ) |
| inline

Definition at line 23 of file PlogRate.h.

## Member Function Documentation

## ◆ update() [1/7]

void update | ( | double | T | ) |
| override virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 13 of file PlogRate.cpp.

Referenced by PlogData::perturbPressure(), and PlogData::restore().

## ◆ update() [2/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline override virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 27 of file PlogRate.h.

## ◆ update() [3/7]

bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| override virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

Definition at line 19 of file PlogRate.cpp.

## ◆ perturbPressure()

void perturbPressure | ( | double | deltaP | ) |

Perturb pressure of data container.

The method is used for the evaluation of numerical derivatives.

Parameters

  deltaP | relative pressure perturbation

Definition at line 30 of file PlogRate.cpp.

References PlogData::m_pressure_buf, PlogData::pressure, ReactionData::temperature, and PlogData::update().

## ◆ restore()

void restore | ( |  | ) |
| override virtual

Restore data container after a perturbation.

Reimplemented from ReactionData.

Definition at line 40 of file PlogRate.cpp.

References PlogData::m_pressure_buf, ReactionData::restore(), ReactionData::temperature, and PlogData::update().

## ◆ invalidateCache()

virtual void invalidateCache | ( |  | ) |
| inline override virtual

Force shared data and reaction rates to be updated next time.

This is called by functions that change quantities affecting rate calculations that are normally assumed to be constant, like the reaction rate parameters or the number of reactions.

Reimplemented from ReactionData.

Definition at line 46 of file PlogRate.h.

References ReactionData::invalidateCache(), and PlogData::pressure.

## ◆ update() [4/7]

virtual void update | ( | double | T | ) |
| inline virtual

Update data container based on temperature T

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 35 of file ReactionData.h.

## ◆ update() [5/7]

virtual void update | ( | double | T,
|  | double | extra
| ) |  |
| inline virtual

Update data container based on temperature T and an extra parameter.

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Reimplemented from ReactionData.

Definition at line 47 of file ReactionData.h.

## ◆ update() [6/7]

virtual void update | ( | double | T,
|  | const vector_fp & | extra
| ) |  |
| inline virtual

Update data container based on temperature T and a vector parameter extra

Only used in conjunction with MultiRateBase::evalSingle / ReactionRate::eval. This method allows for testing of a reaction rate expression outside of Kinetics reaction rate evaluators.

Warning
  This method is an experimental part of the Cantera API and may be changed or removed without notice.

Reimplemented from ReactionData.

Definition at line 61 of file ReactionData.h.

## ◆ update() [7/7]

virtual bool update | ( | const ThermoPhase & | phase,
|  | const Kinetics & | kin
| ) |  |
| virtual

Update data container based on thermodynamic phase state.

This update mechanism is used by Kinetics reaction rate evaluators.

Returns
  A boolean element indicating whether the `evalFromStruct` method needs to be called (assuming previously-calculated values were cached)

Implements ReactionData.

## Member Data Documentation

## ◆ pressure

double pressure

pressure

Definition at line 51 of file PlogRate.h.

Referenced by PlogData::invalidateCache(), and PlogData::perturbPressure().

## ◆ logP

double logP

logarithm of pressure

Definition at line 52 of file PlogRate.h.

Referenced by PlogRate::updateFromStruct().

## ◆ m_pressure_buf

double m_pressure_buf
| protected

buffered pressure

Definition at line 55 of file PlogRate.h.

Referenced by PlogData::perturbPressure(), and PlogData::restore().

The documentation for this struct was generated from the following files:

- PlogRate.h
- PlogRate.cpp